## ucs-test 12.3.31

=== debian/changelog ===
ucs-test (12.3.31) unstable; urgency=medium

  * Issue univention/dev/projects/provisioning#99: update docker tag of
    provisioning-e2e-test.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 05 Nov 2025 07:41:59 +0100

ucs-test (12.3.30) unstable; urgency=medium

  * Issue univention/dev/projects/provisioning#96: require app
    provisioning-service to be installed to run provisioning tests.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 04 Nov 2025 14:34:47 +0100

ucs-test (12.3.29) unstable; urgency=medium

  * Issue univention/dev/projects/keycloak/keycloak-app#245: Adjust test
    to Keycloak 26.4.2

 -- Julia Bremer <bremer@univention.de>  Tue, 04 Nov 2025 11:08:39 +0100

ucs-test (12.3.27) unstable; urgency=medium

  * Bug #58735: fix copy paste error s4 -> ad

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 03 Nov 2025 21:12:21 +0100

ucs-test (12.3.26) unstable; urgency=medium

  * Issue univention/dev/projects/provisioning#96: Run e2e provisioning
    test on ucs.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 31 Oct 2025 17:14:07 +0100
