=== debian/control ===
Source: ucs-test
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 python3-apt,
 python3-ldap,
 python3-psutil,
 python3-retrying,
 python3-univention-appcenter,
 python3-univention-directory-manager,
 python3-yaml,
 univention-config,
 univention-l10n-dev (>= 7.0.1),
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.6.1

Package: ucs-test
Architecture: all
Depends:
 ucs-test-framework,
 ucs-test-modules-all,
 ${misc:Depends},
Description: UCS test environment meta package
 This package depends on all other packages of UCS test.

Package: ucs-test-libs
Architecture: all
Depends:
 univention-config,
 ${misc:Depends},
Description: Libraries used by the UCS-test-framework.
 This package includes some common helper scripts used by other ucs-test
 packages.

Package: ucs-test-framework
Architecture: all
Depends:
 debhelper-compat (=13),
 dpkg-dev,
 fakeroot,
 python3-apt,
 python3-bs4,
 python3-coverage,
 python3-psutil,
 python3-pydantic,
 python3-pytest,
 python3-pytest-repeat,
 python3-pytest-subtests,
 python3-retrying,
 python3-selenium,
 python3-univention,
 python3-univention-directory-manager (>= 15.0.25-23),
 python3-yaml,
 ucs-test-modules-all | ucs-test-module,
 univention-config,
 univention-nagios-client,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UCS test environment
 This package includes some scripts for testing the UCS installation or the UCS
 upgrade.
 .
 This package contains the top-level ucs-test program.

Package: ucs-test-checks
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 libfaketime,
 python3-apt,
 python3-lxml,
 python3-packaging,
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Basic checks
 This package includes checks that do not modify the system.

Package: ucs-test-end
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Basic end scripts
 This package includes end scripts after the test-run that do not modify the system.

Package: ucs-test-base
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 lsb-release,
 lsof,
 nmap,
 openssl,
 python3-pexpect,
 sshpass,
 ucs-test-libs (= ${source:Version}),
 univention-ssh,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Basic tests
 This package includes some basic tests.

Package: ucs-test-ucr
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 lsb-release,
 python3-coverage,
 python3-pexpect,
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 univention-ssh,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: UCR tests
 This package includes some scripts to test the Univention Configuration
 Registry.

Package: ucs-test-univention-lib
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: univention-lib tests
 This package includes some scripts to test the Python module univention.lib
 and the univention shell library.

Package: ucs-test-quota
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Quota tests
 This package includes some scripts for testing file quota.

Package: ucs-test-join
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for univention join scripts
 This package includes some scripts for testing the UCS join scripts.

Package: ucs-test-ldap
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 imagemagick,
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for LDAP and replication
 This package includes some scripts for testing UCS LDAP and replication.

Package: ucs-test-mail
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-netifaces,
 python3-openssl,
 python3-pexpect,
 swaks,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for mail
 This package includes some scripts for testing mail.

Package: ucs-test-samba
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pexpect,
 shell-univention-lib,
 ucs-test-libs (= ${source:Version}),
 ucs-test-samba-common,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for samba (and NFS shares)
 This package includes some scripts for testing the functionality of the Samba
 domain and NFS shares.

Package: ucs-test-samba4
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pexpect,
 shell-univention-lib,
 tshark,
 ucs-test-libs (= ${source:Version}),
 ucs-test-samba-common,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for Samba 4 (and NFS shares)
 This package includes some scripts for testing the functionality of the Samba 4
 domain and NFS shares.

Package: ucs-test-samba-common
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 shell-univention-lib,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for Samba and Samba 4
 This package includes some scripts for testing the functionality of Samba or Samba 4
 domain and NFS shares.

Package: ucs-test-s4connector
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pytest,
 shell-univention-lib,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for the S4 connector
 This package includes some scripts for testing the functionality of the Samba 4
 connector.

Package: ucs-test-nagios
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for Nagios
 This package includes some scripts for testing the functionality of the
 Nagios.

Package: ucs-test-directory-notifier
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for univention directory notifier
 This package includes some scripts for testing univention directory notifier.

Package: ucs-test-updater
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 dpkg-dev,
 libwww-perl,
 ucs-test-libs (= ${source:Version}),
 univention-updater,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for the updater.
 This package includes some scripts for testing the system updater.

Package: ucs-test-umc
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 curl,
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ucs-test-umc-module,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for UMC
 This package includes some scripts for testing Univention Management Console.

Package: ucs-test-umc-performance
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 curl,
 python3-bs4,
 python3-lxml,
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for UMC performance measuring
 This package includes some scripts for testing Univention Management Console
 performance.

Package: ucs-test-umc-module
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 ucs-test-libs (= ${source:Version}),
 univention-management-console-server,
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Test UMC modules
 This package includes some test Univention Management Console modules.

Package: ucs-test-selenium-runner
Architecture: all
Depends:
 chromium,
 chromium-driver,
 python3-pytest,
 python3-selenium,
 python3-xvfbwrapper,
 xvfb,
 ${misc:Depends},
Description: Dependency for Selenium Tests
 This package includes dependencies for Selenium tests.

Package: ucs-test-selenium
Architecture: all
Recommends:
 ucs-test-framework,
Provides:
 ucs-test-module,
Depends:
 ucs-test-libs (= ${source:Version}),
 ucs-test-selenium-runner,
 xvfb,
 ${misc:Depends},
Description: Test scripts for UMC
 This package includes some scripts for testing UMC

Package: ucs-test-browser
Architecture: all
Recommends:
 ucs-test-framework,
Provides:
 ucs-test-module,
Depends:
 chromium,
 python3-pytest-playwright,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Description: Test scripts for UMC
 This package includes some scripts for testing Univention Management Console
 using Playwright browser based testing.

Package: ucs-test-adconnector
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 ldb-tools,
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts for univention-ad-connector.
 This package includes the test-cases for univention-ad-connector.

Package: ucs-test-import-performance
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts to test the import performance
 This package includes the test-cases for importing two large
 schools one with 30.000 users and one with 65.000 users.

Package: ucs-test-ldap-cache
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pytest,
 ucs-test-libs (= ${source:Version}),
 univention-group-membership-cache (>= 2.0.0-12),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts to test the LDAP cache
 This package includes test-cases for the LDAP cache.

Package: ucs-test-appcenter
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 chromium (>= 71.0.3578.80-1~deb9u1),
 chromium-driver (>= 71.0.3578.80-1~deb9u1),
 ffmpeg,
 libnss3-tools,
 python3-cssselect,
 python3-lxml,
 python3-pip,
 python3-pytest,
 python3-requests,
 python3-univention-config-registry,
 python3-univention-directory-manager-rest-client,
 ucs-test-libs (= ${source:Version}),
 univention-appcenter-dev,
 xvfb,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts to test the app center
 This package includes test-cases for the app center.

Package: ucs-test-appcenter-uninstall
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-cssselect,
 ucs-test-apache,
 ucs-test-base,
 ucs-test-ldap,
 ucs-test-libs (= ${source:Version}),
 ucs-test-udm,
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts to test the app removal
 This package includes test-cases for the app removal.

Package: ucs-test-umc-system
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Transitional package

Package: ucs-test-nfs
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 nfs-common,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts to test the NFS
 This package includes test-cases for the Network File System.

Package: ucs-test-proxy
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-pycurl,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Test scripts to test basic and NTLM authentications
 This package includes test-cases for the Basic and NTLM proxy authentications.

Package: ucs-test-udm
Architecture: all
Recommends:
 ucs-test-framework,
Depends:
 python3-ldap,
 python3-passlib,
 python3-psutil,
 python3-pycountry,
 python3-pytest,
 python3-unidecode,
 python3-univention-directory-manager,
 ucs-test-libs (= ${source:Version}),
 ${misc:Depends},
Breaks:
