## ucs-test 12.3.32

=== debian/changelog ===
ucs-test (12.3.32) unstable; urgency=medium

  * Issue univention/dev/projects/provisioning#99: e2e test need a nats connection that
    is running on the primary

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 11 Nov 2025 12:45:01 +0100

ucs-test (8.0.16-8) unstable; u
