## ucs-test 12.3.36

=== debian/changelog ===
ucs-test (12.3.36) unstable; urgency=medium

  * Bug #58792: Add tests for new UDM REST API endpoint

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 17 Nov 2025 01:05:50 +0100

ucs-test (12.3.35) unstable; urgency=medium

  * Issue univention/dev/projects/provisioning#99: clean up after
    provisioning basic test.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Thu, 13 Nov 2025 9:45:01 +0100

ucs-test (12.3.34) unstable; urgency=medium

  * Bug #52308: Add test for new UCR variables `appcenter/update/skip-zsync` and
    `appcenter/update/zsync-timeout`.

 -- Marius Meschter <marius.meschter@univention.de>  Tue, 12 Nov 2025 14:04:28 +0100

ucs-test (12.3.33) unstable; urgency=medium

  * Issue univention/dev/projects/keycloak/keycloak-app#245: Adjust test
    to Keycloak 26.4.2

 -- Julia Bremer <bremer@univention.de>  Tue, 04 Nov 2025 11:08:39 +0100
