## ucs-test 12.3.49

=== debian/changelog ===
ucs-test (12.3.49) unstable; urgency=medium

  * Bug #52202: fix recyclebin test

 -- Florian Best <best@univention.de>  Wed, 26 Nov 2025 16:21:42 +0100

ucs-test (12.3.48) unstable; urgency=medium

  * Bug #52202: wait for removed objects in tests

 -- Felix Botner <botner@univention.de>  Wed, 26 Nov 2025 16:11:07 +0100

ucs-test (12.3.47) unstable; urgency=medium

  * Bug #52202: test recyclebin cycle with objects having special charaters in
    DN

 -- Florian Best <best@univention.de>  Wed, 26 Nov 2025 15:59:22 +0100

ucs-test (12.3.46) unstable; urgency=medium

  * Bug #58805: add test case for subject field in the OIDC token

 -- Juan Pedro Torres Munoz <juan.torres-munoz@univention.de>  Wed, 26 Nov 2025 10:34:22 +0100

ucs-test (12.3.45) unstable; urgency=medium

  * Bug #52202: add recursive delete to ADConnection

 -- Felix Botner <botner@univention.de>  Tue, 25 Nov 2025 08:42:14 +0100

ucs-test (12.3.44) unstable; urgency=medium

  * Bug #52202: fix test on backup, use correct LDAP connection

 -- Felix Botner <botner@univention.de>  Mon, 24 Nov 2025 17:54:15 +0100

ucs-test (12.3.43) unstable; urgency=medium

  * Bug #52202: fix test on backup, use correct LDAP connection

 -- Felix Botner <botner@univention.de>  Mon, 24 Nov 2025 12:47:19 +0100

ucs-test (12.3.42) unstable; urgency=medium

  * Bug #52202: ensure listener is started when test fails

 -- Florian Best <best@univention.de>  Mon, 24 Nov 2025 10:23:37 +0100

ucs-test (12.3.41) unstable; urgency=medium

  * Issue univention/dev/ucs#3237: support SSL in ad connector test utils

 -- Felix Botner <botner@univention.de>  Sun, 23 Nov 2025 17:15:22 +0100

ucs-test (12.3.40) unstable; urgency=medium

  * Bug #58828: add test for release udm lock if conditions are not met

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 21 Nov 2025 11:42:39 +0100

ucs-test (12.3.39) unstable; urgency=medium

  * Bug #52202: adjust UCR variable names for DDS overlay

 -- Florian Best <best@univention.de>  Fri, 21 Nov 2025 10:37:13 +0100

ucs-test (12.3.38) unstable; urgency=medium

  * Bug #58680: ad locked test not in admember

 -- Felix Botner <botner@univention.de>  Fri, 21 Nov 2025 09:34:25 +0100

ucs-test (12.3.37) unstable; urgency=medium

  * Bug #52202: add tests for recyclebin

 -- Florian Best <best@univention.de>  Thu, 20 Nov 2025 14:15:47 +0100
