## ucs-test 12.4.1

=== debian/changelog ===
ucs-test (12.4.1) unstable; urgency=medium

  * Bug #58875: remove test for deprecated property "reinstall"

 -- Florian Best <best@univention.de>  Thu, 04 Dec 2025 15:34:18 +0100
