## ucs-test 12.4.12

=== debian/changelog ===
ucs-test (12.4.12) unstable; urgency=medium

  * Bug #58931: shorten recylebin DN

 -- Felix Botner <botner@univention.de>  Tue, 06 Jan 2026 16:03:31 +0100

ucs-test (12.4.11) unstable; urgency=medium

  * Bug #58887: ignore more broken special chars in recylce bin test case

 -- Felix Botner <botner@univention.de>  Tue, 06 Jan 2026 13:40:24 +0100

ucs-test (12.4.10) unstable; urgency=medium

  * Bug #58793: added test for moving objects in AD

 -- Felix Botner <botner@univention.de>  Thu, 18 Dec 2025 16:59:45 +0100

ucs-test (12.4.9) unstable; urgency=medium

  * Bug #57747: If samba is not installed the test only the relevant
    AES keys, not historical DES keys, which may not exist in AD.

 -- Arvid Requate <requate@univention.de>  Thu, 18 Dec 2025 11:51:49 +0100

ucs-test (12.4.8) unstable; urgency=medium

  * Bug #57747: Fix Kerberos etypes to be checked in case Samba is not
    installed

 -- Arvid Requate <requate@univention.de>  Wed, 17 Dec 2025 16:41:43 +0100

ucs-test (12.4.7) unstable; urgency=medium

  * Bug #57747: Check UCR kerberos/defaults/enctypes/permitted if samba is
    not installed (i.e. don't expect keys that are not generated by AD any
    longer or not synced du to that UCRV)
  * Fix shell scripting error for `if "$kerberos_mapping"`

 -- Arvid Requate <requate@univention.de>  Tue, 16 Dec 2025 15:32:03 +0100

ucs-test (12.4.6) unstable; urgency=medium

  * Bug #58887: Wait for replication and postrun after cleanup
    the following tests were struggeling calculating replication
    time

 -- Julia Bremer <bremer@univention.de>  Tue, 16 Dec 2025 12:51:05 +0100

ucs-test (12.4.5) unstable; urgency=medium

  * Bug #58887: fix Jenkins workspace URL for non-primary systems

 -- Florian Best <best@univention.de>  Mon, 15 Dec 2025 12:02:38 +0100

ucs-test (12.4.4) unstable; urgency=medium

  * Bug #58887: workaround to restart listener when activating lastbind

 -- Florian Best <best@univention.de>  Sat, 13 Dec 2025 11:11:24 +0100

ucs-test (12.4.3) unstable; urgency=medium

  * Bug #58899: test_user_rewrite_member_uid

 -- Florian Best <best@univention.de>  Thu, 11 Dec 2025 13:15:40 +0100

ucs-test (12.4.2) unstable; urgency=medium

  * Bug #58887: rename recyclebin to Recycle Bin

 -- Florian Best <best@univention.de>  Tue, 09 Dec 2025 16:31:51 +0100
