## ucs-test 12.4.14

=== debian/changelog ===
ucs-test (12.4.14) unstable; urgency=medium

  * Update docker image for provisioning e2e tests

 -- Julia Bremer <bremer@univention.de>  Wed, 14 Jan 2026 12:55:58 +0100

ucs-test (12.4.13) unstable; urgency=medium

  * Bug #50253: tests for udm-rest reload endpoint

 -- Felix Botner <botner@univention.de>  Tue, 13 Jan 2026 13:06:19 +0100
