=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention UCS test
 #  rules file for the debian package
 #
-# SPDX-FileCopyrightText: 2013-2025 Univention GmbH
+# SPDX-FileCopyrightText: 2013-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 PACKAGES := $(shell sed -rne '/^Provides:/,/^\S/{/\sucs-test-module(\s|,|$$)/{g;p}};s/Package: //;T;h' debian/control)
