## ucs-test 12.4.18

=== debian/changelog ===
ucs-test (12.4.18) unstable; urgency=medium

  * Bug #58970: test udm-rest unmap-ldap-attributes with ext attributes

 -- Felix Botner <botner@univention.de>  Tue, 20 Jan 2026 14:29:44 +0100

ucs-test (12.4.17) unstable; urgency=medium

  * Bug #50253: tests for udm-rest reload endpoint

 -- Felix Botner <botner@univention.de>  Fri, 16 Jan 2026 13:22:28 +0100

ucs-test (12.4.16) unstable; urgency=medium

  * Bug #50253: tests for udm-rest reload endpoint

 -- Felix Botner <botner@univention.de>  Thu, 15 Jan 2026 10:15:04 +0100

ucs-test (12.4.15) unstable; urgency=medium

  * Bug #50253: tests for udm-rest reload endpoint

 -- Felix Botner <botner@univention.de>  Wed, 14 Jan 2026 18:39:10 +0100
