## ucs-test 12.4.24

=== debian/changelog ===
ucs-test (12.4.24) unstable; urgency=medium

  * Bug #31771: Add debug to sysvol test

 -- Julia Bremer <bremer@univention.de>  Tue, 27 Jan 2026 18:32:10 +0100

ucs-test (12.4.22) unstable; urgency=medium

  * Bug #58987: added test_univention_object_identifier_defaults_to_entry_uuid

 -- Felix Botner <botner@univention.de>  Fri, 23 Jan 2026 15:14:17 +0100

ucs-test (12.4.21) unstable; urgency=medium

  * Bug #58970: test udm-rest unmap-ldap-attributes with ext attributes

 -- Felix Botner <botner@univention.de>  Thu, 22 Jan 2026 13:42:39 +0100

ucs-test (12.4.20) unstable; urgency=medium

  * Bug #58970: test udm-rest unmap-ldap-attributes with ext attributes

 -- Felix Botner <botner@univention.de>  Wed, 21 Jan 2026 18:13:27 +0100
