## ucs-test 12.4.28

=== debian/changelog ===
ucs-test (12.4.28) unstable; urgency=medium

  * Bug #59032: add test for udm-rest-api root_path environment variable configuration

 -- Jaime Conde Segovia <conde-segovia@univention.de>  Wed, 04 Feb 2026 11:34:16 +0100

ucs-test (12.4.27) unstable; urgency=medium

  * Bug #59032: add test for udm-rest-api root_path environment variable configuration

 -- Jaime Conde Segovia <conde-segovia@univention.de>  Wed, 04 Feb 2026 09:37:53 +0100

ucs-test (12.4.26) unstable; urgency=medium

  * Bug #56986: remove workaround

 -- Felix Botner <botner@univention.de>  Fri, 30 Jan 2026 11:08:30 +0100

ucs-test (12.4.25) unstable; urgency=medium

  * Issue univention/dev/projects/keycloak/keycloak-app#250: Adjust tests
    to new keycloak version

 -- Julia Bremer <bremer@univention.de>  Wed, 28 Jan 2026 13:59:58 +0100
