## ucs-test 12.4.31

=== debian/changelog ===
ucs-test (12.4.31) unstable; urgency=medium

  * Bug #58844: Support UDM Recyclebin in S4- and AD-Connector

 -- Arvid Requate <requate@univention.de>  Tue, 17 Feb 2026 20:24:16 +0100

ucs-test (12.4.30) unstable; urgency=medium

  * Issue univention/dev/ucs#3373: fix 81_keycloak.01_test_keycloak_login.py.test_login_administrator

 -- Felix Botner <botner@univention.de>  Fri, 13 Feb 2026 17:32:37 +0100

ucs-test (12.4.29) unstable; urgency=medium

  * Issue univention/dev/ucs#3376: fix 10_ldap.42replication_memberof.TestCases.test_remove_user_from_group

 -- Felix Botner <botner@univention.de>  Fri, 13 Feb 2026 13:35:23 +0100
