## ucs-test 12.4.37

=== debian/changelog ===
ucs-test (12.4.37) unstable; urgency=medium

  * Bug #58844: wait for listener in test case and skip the xfails in this case

 -- Arvid Requate <requate@univention.de>  Mon, 23 Feb 2026 15:29:24 +0100

ucs-test (12.4.36) unstable; urgency=medium

  * Bug #58844: fix for ad member mode

 -- Felix Botner <botner@univention.de>  Mon, 23 Feb 2026 14:22:25 +0100

ucs-test (12.4.35) unstable; urgency=medium

  * Bug #58844: recyclebin test must not wait for Samba if it's not installed

 -- Arvid Requate <requate@univention.de>  Sat, 21 Feb 2026 15:41:39 +0100

ucs-test (12.4.34) unstable; urgency=medium

  * Bug #58844: Adjust tests to the recyclebin S4-/AD-C changes

 -- Felix Botner <botner@univention.de>  Fri, 20 Feb 2026 16:59:11 +0100

ucs-test (12.4.33) unstable; urgency=medium

  * Bug #58844: Adjust tests to the recyclebin S4-/AD-C changes

 -- Arvid Requate <requate@univention.de>  Fri, 20 Feb 2026 16:11:01 +0100
